SDL_MessageBoxButtonData(3type)

NAME
SDL_MessageBoxButtonData - Individual button data.

SYNOPSIS
#include <SDL3/SDL_messagebox.h>

typedef struct SDL_MessageBoxButtonData
{
    SDL_MessageBoxButtonFlags flags;
    int buttonID;       /**< User defined button id (value returned via SDL_ShowMessageBox) */
    const char *text;   /**< The UTF-8 button text */
} SDL_MessageBoxButtonData;

AVAILABILITY
This struct is available since SDL 3.2.0.